View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000548Ecere SDKidepublic2010-08-16 15:592013-05-19 22:15
Reporterjerome 
Assigned Toredj 
PriorityimmediateSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44 Ryoan-jiFixed in Version0.44 Ryoan-ji 
Summary0000548: Crash when playing in Global Settings then Regenerate Makefile
DescriptionThought: Is this related to those documentor buffer overruns?
See 'steps to reproduce'
Steps To ReproduceGo to global settings, compiler/libraries
get 2 libraries in there
change the order
save settings
Go to the project view, Project/Regenerate Makefile
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000338)
redj (administrator)
2010-08-18 05:47
edited on: 2010-08-18 05:47

fixed buffer overrun (found by jerome) in settings.ec
this also fixes the buffer overrun occurring in Documentor as well
added missing incref (found by jerome) for copied CompilerConfig instanced in Global Settings dialog

Added revision 41 to sdk\ide\src\dialogs\GlobalSettingsDialog.ec
Added revision 48 to sdk\ide\src\settings.ec


- Issue History
Date Modified Username Field Change
2010-08-16 15:59 jerome New Issue
2010-08-16 15:59 jerome Status new => assigned
2010-08-16 15:59 jerome Assigned To => redj
2010-08-18 05:47 redj Status assigned => resolved
2010-08-18 05:47 redj Resolution open => fixed
2010-08-18 05:47 redj Note Added: 0000338
2010-08-18 05:47 redj Note Edited: 0000338
2012-03-08 15:33 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 18:07 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker